/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class GetSalaryCalculationHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryCalculationRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 2025-06
     */
    date?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * SalaryGroupxxx
     */
    salaryGroupId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryCalculationResponseBody extends $tea.Model {
    result?: GetSalaryCalculationResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryCalculationResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSalaryCalculationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryGroupHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryGroupResponseBody extends $tea.Model {
    result?: GetSalaryGroupResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryGroupResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSalaryGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * SalaryItemGroupxxx
     */
    salaryItemGroupId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemResponseBody extends $tea.Model {
    result?: GetSalaryItemResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSalaryItemResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemGroupHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemGroupResponseBody extends $tea.Model {
    result?: GetSalaryItemGroupResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemGroupResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSalaryItemGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 2025-06
     */
    date?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageIndex?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * SalaryGroupXXX
     */
    salaryGroupId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationResponseBody extends $tea.Model {
    result?: ListSalaryCalculationResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListSalaryCalculationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * 2025-06
     */
    date?: string;
    items?: WriteSalaryCalculationRequestItems[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationResponseBody extends $tea.Model {
    result?: {
        [key: string]: any;
    };
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: WriteSalaryCalculationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryCalculationResponseBodyResult extends $tea.Model {
    calStatus?: boolean;
    /**
     * @example
     * 2025-06-30
     */
    endDate?: string;
    /**
     * @example
     * 2025-06-01
     */
    startDate?: string;
    /**
     * @example
     * NONE
     */
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryGroupResponseBodyResult extends $tea.Model {
    enableFlag?: boolean;
    /**
     * @example
     * SalaryItemGroupIdxxx
     */
    salaryGroupId?: string;
    /**
     * @example
     * 123
     */
    salaryGroupName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemResponseBodyResult extends $tea.Model {
    /**
     * @example
     * SalaryItemIdxxx
     */
    salaryItemId?: string;
    /**
     * @example
     * 绩效xx
     */
    salaryItemName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetSalaryItemGroupResponseBodyResult extends $tea.Model {
    /**
     * @example
     * SalaryItemGroupIdxxx
     */
    salaryItemGroupId?: string;
    /**
     * @example
     * 浮动薪资xx
     */
    salaryItemGroupName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationResponseBodyResultDataDataList extends $tea.Model {
    salaryItemId?: string;
    salaryItemName?: string;
    salaryItemValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationResponseBodyResultData extends $tea.Model {
    dataList?: ListSalaryCalculationResponseBodyResultDataDataList[];
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListSalaryCalculationResponseBodyResult extends $tea.Model {
    data?: ListSalaryCalculationResponseBodyResultData[];
    hasMore?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationRequestItemsContents extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * SalaryItemXXX
     */
    salaryItemId?: string;
    /**
     * @example
     * 26
     */
    salaryItemValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class WriteSalaryCalculationRequestItems extends $tea.Model {
    contents?: WriteSalaryCalculationRequestItemsContents[];
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * user001
     */
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 小微薪酬获取薪资记录
     *
     * @param request - GetSalaryCalculationRequest
     * @param headers - GetSalaryCalculationHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSalaryCalculationResponse
     */
    getSalaryCalculationWithOptions(request: GetSalaryCalculationRequest, headers: GetSalaryCalculationHeaders, runtime: $Util.RuntimeOptions): Promise<GetSalaryCalculationResponse>;
    /**
     * 小微薪酬获取薪资记录
     *
     * @param request - GetSalaryCalculationRequest
     * @returns GetSalaryCalculationResponse
     */
    getSalaryCalculation(request: GetSalaryCalculationRequest): Promise<GetSalaryCalculationResponse>;
    /**
     * 小微薪酬获取薪资组
     *
     * @param headers - GetSalaryGroupHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSalaryGroupResponse
     */
    getSalaryGroupWithOptions(headers: GetSalaryGroupHeaders, runtime: $Util.RuntimeOptions): Promise<GetSalaryGroupResponse>;
    /**
     * 小微薪酬获取薪资组
     * @returns GetSalaryGroupResponse
     */
    getSalaryGroup(): Promise<GetSalaryGroupResponse>;
    /**
     * 小微薪酬获取薪资项目
     *
     * @param request - GetSalaryItemRequest
     * @param headers - GetSalaryItemHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSalaryItemResponse
     */
    getSalaryItemWithOptions(request: GetSalaryItemRequest, headers: GetSalaryItemHeaders, runtime: $Util.RuntimeOptions): Promise<GetSalaryItemResponse>;
    /**
     * 小微薪酬获取薪资项目
     *
     * @param request - GetSalaryItemRequest
     * @returns GetSalaryItemResponse
     */
    getSalaryItem(request: GetSalaryItemRequest): Promise<GetSalaryItemResponse>;
    /**
     * 小微薪酬获取薪资项目大类
     *
     * @param headers - GetSalaryItemGroupHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetSalaryItemGroupResponse
     */
    getSalaryItemGroupWithOptions(headers: GetSalaryItemGroupHeaders, runtime: $Util.RuntimeOptions): Promise<GetSalaryItemGroupResponse>;
    /**
     * 小微薪酬获取薪资项目大类
     * @returns GetSalaryItemGroupResponse
     */
    getSalaryItemGroup(): Promise<GetSalaryItemGroupResponse>;
    /**
     * 小微薪酬获取薪资记录数据
     *
     * @param request - ListSalaryCalculationRequest
     * @param headers - ListSalaryCalculationHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListSalaryCalculationResponse
     */
    listSalaryCalculationWithOptions(request: ListSalaryCalculationRequest, headers: ListSalaryCalculationHeaders, runtime: $Util.RuntimeOptions): Promise<ListSalaryCalculationResponse>;
    /**
     * 小微薪酬获取薪资记录数据
     *
     * @param request - ListSalaryCalculationRequest
     * @returns ListSalaryCalculationResponse
     */
    listSalaryCalculation(request: ListSalaryCalculationRequest): Promise<ListSalaryCalculationResponse>;
    /**
     * 小微薪酬获取薪资记录写入
     *
     * @param request - WriteSalaryCalculationRequest
     * @param headers - WriteSalaryCalculationHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns WriteSalaryCalculationResponse
     */
    writeSalaryCalculationWithOptions(request: WriteSalaryCalculationRequest, headers: WriteSalaryCalculationHeaders, runtime: $Util.RuntimeOptions): Promise<WriteSalaryCalculationResponse>;
    /**
     * 小微薪酬获取薪资记录写入
     *
     * @param request - WriteSalaryCalculationRequest
     * @returns WriteSalaryCalculationResponse
     */
    writeSalaryCalculation(request: WriteSalaryCalculationRequest): Promise<WriteSalaryCalculationResponse>;
}
